Bug 969661 - [abrt] pitivi-0.15.2-2.fc18: track.py:799:getElement:IndexError: list index out of range
[abrt] pitivi-0.15.2-2.fc18: track.py:799:getElement:IndexError: list index o...
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-06-01 11:27 EDT by Artur Flinta
Modified: 2014-01-28 12:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-28 12:32:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (812 bytes, text/plain)
2013-06-01 11:27 EDT, Artur Flinta
no flags Details
File: core_backtrace (460 bytes, text/plain)
2013-06-01 11:27 EDT, Artur Flinta
no flags Details
File: environ (1.69 KB, text/plain)
2013-06-01 11:27 EDT, Artur Flinta
no flags Details

  None (edit)
Description Artur Flinta 2013-06-01 11:27:21 EDT
Version-Release number of selected component:

Additional info:
reporter:       libreport-2.1.4
cmdline:        python /usr/bin/pitivi
executable:     /usr/bin/pitivi
kernel:         3.9.2-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
track.py:799:getElement:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/share/pitivi/python/pitivi/ui/clipproperties.py", line 520, in _expandedCb
    self.effect = self._findOrCreateEffect("frei0r-filter-scale0tilt")
  File "/usr/share/pitivi/python/pitivi/ui/clipproperties.py", line 585, in _findOrCreateEffect
    effect = self._findEffect(name)
  File "/usr/share/pitivi/python/pitivi/ui/clipproperties.py", line 580, in _findEffect
    if name in track_effect.getElement().get_path_string():
  File "/usr/share/pitivi/python/pitivi/timeline/track.py", line 799, in getElement
    effect_bin = list(self.gnl_object.elements())[0]
IndexError: list index out of range

Local variables in innermost frame:
self: <pitivi.timeline.track.TrackEffect object at 0x7f0e34025450>
Comment 1 Artur Flinta 2013-06-01 11:27:25 EDT
Created attachment 755550 [details]
File: backtrace
Comment 2 Artur Flinta 2013-06-01 11:27:29 EDT
Created attachment 755551 [details]
File: core_backtrace
Comment 3 Artur Flinta 2013-06-01 11:27:32 EDT
Created attachment 755552 [details]
File: environ
Comment 4 Fedora End Of Life 2013-12-21 08:48:48 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Jean-François Fortin Tam 2014-01-28 12:32:16 EST
Hi there,

As an upstream maintainer, I expect this issue to be fixed in the new Pitivi.
Version 0.92 is now available as an update for Fedora 20
and we would like to encourage you to test it.

If you can reproduce this bug against 0.92 or newer, please update this
bug report accordingly with detailed instructions to reproduce the bug,
sample files/projects in xges format, etc.


Note You need to log in before you can comment on or make changes to this bug.